Subject: Re: bug#36288: 27.0.50; Cannot use menu-set-font

From: Robert Pluim <[email-masked]>
Date: Sun, 23 Jun 2019 15:50:11 +0200

>>>>> On Sun, 23 Jun 2019 15:34:23 +0900, YAMAMOTO Mitsuharu <[email-masked]> said:
    >> On second thought, it seems to be better to leave the font type
    >> unspecified.  Hard-coding the wanted font type was introduced as a
    >> "fix" for Bug#3228, but I suspect its reasoning is no longer valid (I
    >> couldn't find fonts.alias in the Type1 font directory in CentOS or
    >> Linux Mint).  Also, probably we should set the :family font property
    >> instead of :name.

Thanks, that fixed things for me, with font-backend '(xfthb x) and '(x xfthb)

Iʼve not looked at Bug#3228, but at least on my Ubuntu machine I have:

/usr/share/fonts/X11/Type1/fonts.alias
/usr/share/fonts/X11/misc/fonts.alias

but given the prevalence of opentype and truetype fonts, Iʼm not sure
that thereʼs anything to worry about.

Robert